Bug 476351 - Review Request: palp - A Package for Analyzing Lattice Polytopes
Summary: Review Request: palp - A Package for Analyzing Lattice Polytopes
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-13 12:47 UTC by Conrad Meyer
Modified: 2013-01-10 04:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-14 06:06:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkeating: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Conrad Meyer 2008-12-13 12:47:02 UTC
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/palp.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/palp-1.1-1.fc9.src.rpm
Description:
PALP contains routines for vertex and facet enumeration, computation of
incidences and symmetries, as well as completion of the set of lattice
points in the convex hull of a given set of points. In addition, there
are procedures specialised to reflexive polytopes such as the enumeration
of reflexive subpolytopes, and applications to toric geometry and string
theory, like the computation of Hodge data and fibration structures for
toric Calabi-Yau varieties.

Comment 1 Conrad Meyer 2008-12-13 12:50:49 UTC
Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=996541

Comment 2 Jesse Keating 2008-12-13 20:03:32 UTC
* Name fine
* Summary/description OK
* Group OK
* Source matches upstream
* Buildroot sane
* Make uses smp flags
* Install has clean
* Consistent use of macros
* %clean section OK
* defatter exists
* Changelog sane
* Build in mock for rawhide
* rpmlint is silent
* License is not OK
  Source refers to http://www.gnu.org/copyleft/gpl.html as it's license, which is now version 3, so I do believe the license needs to be GPLv3+

Comment 4 Jesse Keating 2008-12-13 21:03:05 UTC
Looks good to me!

Comment 5 Conrad Meyer 2008-12-13 21:10:49 UTC
Thanks!

New Package CVS Request
=======================
Package Name: palp
Short Description: A Package for Analyzing Lattice Polytopes
Owners: konradm
Branches: F-10 F-9
InitialCC:

Comment 6 Kevin Fenzi 2008-12-14 04:51:25 UTC
cvs done.

Comment 7 Conrad Meyer 2008-12-14 06:06:11 UTC
Built in rawhide. Closing.

http://koji.fedoraproject.org/koji/taskinfo?taskID=997464


Note You need to log in before you can comment on or make changes to this bug.